This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 508518 - Review Request: meiga - Easy tool for file sharing and content publishing
Review Request: meiga - Easy tool for file sharing and content publishing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-28 05:12 EDT by Rajeesh
Modified: 2009-11-19 10:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 10:06:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tomspur: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rajeesh 2009-06-28 05:12:14 EDT
Spec URL: http://rajeeshknambiar.fedorapeople.org/meiga.spec
SRPM URL: http://rajeeshknambiar.fedorapeople.org/meiga-0.2.0-1.fc11.src.rpm
Description: 
Meiga is a lightweight, easy to use, network friendly and also
application friendly content server for desktop.
Client side does not need to install any software, as the
shared files can be accessed using web browser. The ultimate
goal is to serve as a common publishing pont for desktop
applications, such as file manager, picture viewers or
music players
Comment 1 Rajeesh 2009-07-02 23:28:06 EDT
While testing in Fedora, identified a bug where Meiga is not finding the internal IP, due to missing PATH settings. I talked to the upstream developer and fixed this issue in new release - 0.2.1

The updated SPEC and SRPM are:
http://rajeeshknambiar.fedorapeople.org/meiga.spec
http://rajeeshknambiar.fedorapeople.org/meiga-0.2.1-1.fc11.src.rpm
Comment 2 Fabian Affolter 2009-07-28 06:42:24 EDT
Just some comments after a quick look at your spec file

- License should be GPLv2+.  The source headers says 'or (at your option) any later version.'
- Requires: hicolor-icon-theme is missing
- ChangeLog, MAINTAINERS and NEWS are missing in %doc
- Wouldn't it be easier for the future just to use %{_datadir}/%{name}/

instead of 

%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/ui
%{_datadir}/%{name}/ui/gui.ui
%{_datadir}/%{name}/ui/%{name}-16x16.png   

?
Comment 3 Rajeesh 2009-07-28 08:47:48 EDT
Thanks for the suggestions!

I've updated the SPEC file and rebuilt new SRPM:

http://rajeeshknambiar.fedorapeople.org/meiga.spec
http://rajeeshknambiar.fedorapeople.org/meiga-0.2.1-2.fc11.src.rpm
Comment 4 Thomas Spura 2009-11-07 04:57:14 EST
There is a new version, after updating I'll review this this week, at maximum next weekend…
Comment 5 Rajeesh 2009-11-11 04:01:17 EST
Hi,

The {S,R}PMs and SPEC have been updated to the latest version, and can be found here:

http://rajeeshknambiar.fedorapeople.org/meiga.spec
http://rajeeshknambiar.fedorapeople.org/meiga-0.3.1-1.fc11.src.rpm

Koji scratch build : http://koji.fedoraproject.org/koji/taskinfo?taskID=1800417
Comment 6 Thomas Spura 2009-11-14 13:17:41 EST
Review:

- Sources match upstream
- $ rpmlint meiga.spec  meiga-0.3.1-1.fc12.src.rpm x86_64/meiga-0.3.1-1.fc12.x86_64.rpm x86_64/meiga-debuginfo-0.3.1-1.fc12.x86_64.rpm 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

- file permissions ok
- %files section ok
- properly install locales
- license GPLv2+ ok
- package works as expected


Issues:
- Gnome users are currently forced to install kde-filesystem. If you split the .desktop files for kde into a subpackage, this would help a lot. But this is no requirement.
- When installing there is a  gtk-update-icon-cache: No theme index file.
  Don't not how to eliminate this, but not a blocker atm.
- When building, there is a intltoolize: 'po/Makefile.in.in' exists: use '--force' to overwrite
  So please add --force to intltoolize



This are only minor issues, so this package is:

___________________________


APPROVED
Comment 7 Rajeesh 2009-11-15 02:17:30 EST
Hi Thomas,

Thanks for the review and approval!

Your comments are addressed in the new build, except the gtk-update-icon-cache issue. I guess this is due to running gtk-update-icon-cache on /usr/share/pixmaps. I don't know how to fix it, or can it be simply omitted?

http://rajeeshknambiar.fedorapeople.org/meiga.spec
http://rajeeshknambiar.fedorapeople.org/meiga-0.3.1-2.fc11.src.rpm
http://rajeeshknambiar.fedorapeople.org/meiga-0.3.1-2.fc11.i586.rpm
http://rajeeshknambiar.fedorapeople.org/meiga-kde-0.3.1-2.fc11.i586.rpm

I am requesting for the CVS access.
New Package CVS Request
=======================
Package Name: meiga
Short Description: Easy to use tool to share selected local directories via web
Owners: rajeeshknambiar
Branches: F-11 F-12 EL-5
InitialCC:
Comment 8 Jason Tibbitts 2009-11-16 12:42:27 EST
CVS done.
Comment 9 Rajeesh 2009-11-19 10:06:14 EST
Built and submitted update for Fedora 11. https://admin.fedoraproject.org/updates/F11/FEDORA-2009-11709

Note You need to log in before you can comment on or make changes to this bug.